Proyecto PROGRAMAS y CONVENIOS - Tareas #4923

Aviso al navegar entre submenus con formulario incompleto (Programas — Datos generales)
02/27/2026 09:14 AM - Daniel Garcia

Status: En curso Start date: 02/27/2026
Priority: Normal Due date:

Assignee: Daniel Garcia % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Actualmente, si el usuario intenta navegar a otro submenu desde el formulario de “Datos generales de programas” con datos
incompletos, se ejecuta la validacién pero no se muestra ninguna alerta o0 modal explicando el motivo. Esto provoca confusion y el
usuario no sabe por qué no puede continuar.

Requisitos funcionales:

- Detectar intento de navegacién a otro submenu cuando el formulario tiene campos obligatorios pendientes.
- Mostrar alerta/modal indicando que hay campos obligatorios sin completar.

- Indicar al usuario que debe completar los campos requeridos antes de cambiar de seccion.

- Mantener el comportamiento de bloqueo de navegacion hasta completar lo obligatorio.

History

#1 - 02/27/2026 11:41 AM - Daniel Garcia
- Status changed from Nueva to En curso

- Assignee changed from Daniel Garcia to Jose Miguel Rosell Rosa

#2 - 03/03/2026 11:08 AM - Jose Miguel Rosell Rosa
- Assignee changed from Jose Miguel Rosell Rosa to Daniel Garcia

- % Done changed from 0 to 100
